/* we now use icons from https://icons.getbootstrap.com (RL-10005) */
@import url('bootstrap-icons-1.11.1/font/css/bootstrap-icons.css');

/* added negative top margin classes (TR-156) */
.mt-n1 {
    margin-top: -0.25rem !important;
}

.mt-n2 {
    margin-top: -0.5rem !important;
}

.mt-n3 {
    margin-top: -1rem !important;
}

.mt-n4 {
    margin-top: -1.5rem !important;
}

.mt-n5 {
    margin-top: -3rem !important;
}

h1:focus {
    outline: none;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    border: 1px solid #dc3545 !important;
}

.validation-message {
    color: #dc3545;
}

/* for small font (TR-83) */
.fs-s {
    font-size: 0.85rem !important;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

/* for custom tooltips (RL-10340) */
.lc-tooltip-matches-body .k-tooltip {
    color: var(--bs-body-color);
    padding: 0.75rem;
    background-color: var(--bs-body-bg);
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
}
    /* for custom tooltips (RL-10340) */
    .lc-tooltip-matches-body .k-tooltip .k-callout {
        color: #ced4da;
    }

.lc-tooltip-icon {
    vertical-align: top;
    font-size: 0.7rem;
    color: var(--primary-color);
}

/* for removing telerik grid vertical scroll bar(RL-10743) */
.grid-no-scroll .k-grid-content {
    overflow-y: auto;
}

.grid-no-scroll .k-grid-header,
.grid-no-scroll .k-grid-footer {
    padding-right: 0; /* version 2.26 and older requires !important here */
}

.grid-no-scroll .k-grid-header-wrap,
.grid-no-scroll .k-grid-footer-wrap {
    border-right-width: 0;
}

/* prevent left shift in body when bootstrap modal opens (RL-10743) */
body.modal-open {
    margin-right: 0 !important;
    padding-right: 0px !important;
    overflow: hidden;
}

/* RL-13327 
    begining of global styling 
    add and remove as needed
                            */

/*#region ROOT & body*/
:root {
    --bs-blue: blue;
    --lc-font-family: "Roboto", sans-serif;
    /*sizing*/
    --border-radius: .417rem;
    --border-radius-lg: 1rem;
    --standard-height: 2.4rem;
    /* colors */
    --primary-color: #0090FF;
    --primary-color-80: #33A7FF;
    --primary-color-60: #66BDFF;
    --primary-color-40: #99D3FF;
    --primary-color-10: #CCE9FF;
    --secondary-color: #0090ff26; /*TODO double check*/

    --light-color: #809FB8;
    --light-color-80: #809FB8CC;
    --light-color-60: #809FB899;
    --light-color-40: #809FB866;
    --light-color-30: #809FB84D;
    --light-color-10: #809FB81A;
    --dark-color: #06152B;
    --dark-color-80: #06152BCC;
    --dark-color-60: #06152B99;
    --dark-color-40: #06152B66;
    --info-color: #0090FF;
    --info-color-80: #0090FFCC;
    --info-color-60: #0090FF99;
    --info-color-40: #0090FF66;
    --info-color-10: #0090FF1A;
    --danger-color: #EA3A3D;
    --danger-color-80: #EA3A3DCC;
    --danger-color-60: #EA3A3D99;
    --danger-color-40: #EA3A3D66;
    --danger-color-10: #EA3A3D1A;
    --success-color: #6BD563;
    --success-color-80: #6BD563CC;
    --success-color-60: #6BD56399;
    --success-color-40: #6BD56366;
    --success-color-10: #6BD5631A;
    --warning-color: #F9B959;
    --warning-color-80: #F9B959CC;
    --warning-color-60: #F9B95999;
    --warning-color-40: #F9B95966;
    --warning-color-10: #F9B9591A;
}

body {
    font-family: var(--lc-font-family) !important;
    color: var(--dark-color);
}

/*#endregion ROOT & body*/


/*#region theme colors*/
.theme-blue {
    --primary-color: #0090FF;
    --primary-color-80: #33A6FF;
    --primary-color-60: #66BDFF;
    --primary-color-40: #99D3FF;
    --primary-color-10: #CCE9FF;
}

.theme-red {
    --primary-color: #BE174A;
    --primary-color-80: #D66A8B;
    --primary-color-60: #D87492;
    --primary-color-40: #E7ABBD;
    --primary-color-10: #F4DAE2;
}

.theme-gray {
    --primary-color: #7c8da3;
    --primary-color-80: #7c8da3;
    --primary-color-60: #9fadbf;
    --primary-color-40: #bec6cf;
    --primary-color-10: #e4e8ed;
}

.theme-green {
    --primary-color: #6BD563;
    --primary-color-80: #A1E49B;
    --primary-color-60: #A6E6A1;
    --primary-color-40: #C9F0C6;
    --primary-color-10: #E7F8E6;
}

.theme-orange {
    --primary-color: #FD9827;
    --primary-color-80: #FEBE75;
    --primary-color-60: #FEC17D;
    --primary-color-40: #FEDAB1;
    --primary-color-10: #FEEEDC;
}

.theme-purple {
    --primary-color: #6F42C1;
    --primary-color-80: #A386D7;
    --primary-color-60: #A98EDA;
    --primary-color-40: #CBBBE9;
    --primary-color-10: #E8E0F5;
}

/*#endregion theme colors*/

/*#region Utilities*/
/*Used for setting color attribute*/
.lc-color-primary {
    color: var(--primary-color);
}

.lc-color-info {
    color: var(--info-color);
}

.lc-color-success {
    color: var(--success-color);
}

.lc-color-danger {
    color: var(--danger-color);
}

/*Used for setting background-color attribute*/
.lc-bg-primary {
    background-color: var(--primary-color);
}

.lc-bg-info {
    background-color: var(--info-color);
}

.lc-bg-success {
    background-color: var(--success-color);
}

.lc-bg-danger {
    background-color: var(--danger-color);
}

.lc-border-radius{
    border-radius: var(--border-radius);
}

.lc-border-radius-lg {
    border-radius: var(--border-radius-lg);
}
/*#endregion text colors*/

/*#region font weight*/
.lc-fw-100 {
    font-weight: 100;
}

.lc-fw-300 {
    font-weight: 300;
}

.lc-fw-400 {
    font-weight: 400;
}

.lc-fw-500 {
    font-weight: 500;
}

.lc-fw-700 {
    font-weight: 700;
}

.lc-fw-900 {
    font-weight: 900;
}
/*#endregion*/

/*#region Alerts*/
.lc-alert {
    position: relative;
    padding: 0rem 1rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 0.313rem;
}

.lc-alert-info1 {
    color: var(--dark-color-80);
    background-color: var(--info-color-10);
}

    .lc-alert-info1:before {
        content: "\F430";
        color: var(--info-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }

.lc-alert-info2 {
    color: var(--info-color);
    background-color: var(--light-color-10);
}

    .lc-alert-info2:before {
        content: "\F430";
        color: var(--info-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }

.lc-alert-warning1 {
    color: var(--dark-color-80);
    background-color: var(--warning-color-10);
}

    .lc-alert-warning1:before {
        content: "\F430";
        color: var(--warning-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }

.lc-alert-warning2 {
    color: var(--warning-color);
    background-color: var(--light-color-10);
}

    .lc-alert-warning2:before {
        content: "\F430";
        color: var(--warning-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }


.lc-alert-success1 {
    color: var(--dark-color-80);
    background-color: var(--success-color-10);
}

    .lc-alert-success1:before {
        content: "\F26A";
        color: var(--success-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }

.lc-alert-success2 {
    color: var(--success-color);
    background-color: var(--light-color-10);
}

    .lc-alert-success2:before {
        content: "\F26A";
        color: var(--success-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }

.lc-alert-error1 {
    color: var(--dark-color-80);
    background-color: var(--danger-color-10);
}

    .lc-alert-error1:before {
        content: "\F622";
        color: var(--danger-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }

.lc-alert-error2 {
    color: var(--danger-color);
    background-color: var(--light-color-10);
}

    .lc-alert-error2:before {
        content: "\F622";
        color: var(--danger-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }

.lc-banner-red {
    color: var(--dark-color-80);
    background-color: var(--danger-color-10);
    border: 1px solid var(--danger-color)
}

    .lc-banner-red:before {
        content: "\F430";
        color: var(--danger-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }

.lc-banner-orange {
    color: var(--dark-color-80);
    background-color: var(--warning-color-10);
    border: 1px solid var(--warning-color);
}

    .lc-banner-orange:before {
        content: "\F430";
        color: var(--warning-color);
        vertical-align: sub;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
    }

/*#endregion*/

/*#region lc-input*/
.lc-password-show:after {
    content: "\F341";
    color: #99B2C6;
    align-self: center;
    font-family: "bootstrap-icons";
    font-size: 1.25rem;
    padding-right: 0.823rem;
}

.lc-password-hide:after {
    content: "\F340";
    color: #99B2C6;
    align-self: center;
    font-family: "bootstrap-icons";
    font-size: 1.25rem;
    padding-right: 0.823rem;
}

.lc-input-search:after {
    content: "\F52A";
    color: var(--primary-color-80);
    align-self: center;
    font-family: "bootstrap-icons";
    font-size: 1.25rem;
    padding: 0 0.82rem;
    background-color: white;
}

/*#region lc-input validation*/
.lc-input-error {
    border-color: var(--danger-color) !important;
    color: var(--danger-color) !important;
}

    .lc-input-error:after {
        content: "\F62A";
        color: var(--danger-color);
        align-self: center;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
        padding: 0.823rem;
    }

.lc-input-success {
    border-color: var(--success-color) !important;
}

    .lc-input-success:after {
        content: "\F633";
        color: var(--success-color);
        align-self: center;
        font-family: "bootstrap-icons";
        font-size: 1.5rem;
        padding: 0.823rem;
    }

.lc-input-required:after {
    content: "\F151";
    color: var(--danger-color);
    align-self: center;
    font-family: "bootstrap-icons";
    font-size: 0.375rem;
    padding-right: 1.25rem;
}


/*#endregion lc-input validation*/
/*#endregion lc-input*/

/*#region Telerik classes redefined*/
.telerik-blazor :not(.k-icon, .k-step-indicator-icon) {
    /* the font gets overwritten if not delcared here*/
    font-family: var(--lc-font-family);
}


/*#region k-input*/
.k-input-solid:focus-within, .k-picker-solid:focus-within,
.k-picker-solid:focus, .k-input-solid:hover, .k-picker-solid:hover {
    background-color: white;
    border: 1px solid var(--primary-color);
    box-shadow: none !important;
    outline: none;
}

.k-input-solid, .k-picker-solid {
    border: 1px solid #809FB880;
    border-radius: var(--border-radius);
    box-shadow: none !important;
    background-color: white;
}

    .k-input-solid.k-disabled, .k-picker-solid.k-disabled {
        color: #809FB8;
        background-color: #809FB840;
    }

    /* updated this style as it was breaking multiselects (TR-179) */
    .k-input-md:not(.k-input.k-textarea,.k-input.k-multiselect), .k-picker-md {
        height: var(--standard-height);
    }

    /* style telerik numeric inputs when invalid (TR-172) */
    span.k-numerictextbox input[aria-invalid='true'] + span.k-input-spinner .k-button-solid.k-icon-button {
        background-color: #dc3545;
        border-color: #dc3545;
    }

    /* style telerik date inputs when invalid (TR-174) */
    span.k-datepicker input[aria-invalid='true'] + .k-button-solid.k-icon-button {
        background-color: #dc3545;
        border-color: #dc3545;
    }
/*#endregion Telerik k-input*/

/*#region k-buttons*/
.k-button-solid, .k-button-solid:hover,
.k-button-solid-primary, .k-button-solid-primary:hover {
    height: var(--standard-height);
    background-color: var(--primary-color);
    color: white;
    border: none;
    box-shadow: none !important;
}

    .k-button-solid:disabled {
        background-color: #809FB80D;
        color: #809FB8;
        border: 1px solid #809FB880;
    }

    .k-button-solid:active {
        background-color: var(--primary-color-80);
        border-color: var(--primary-color);
    }

.k-button-outline:hover {
    background-color: var(--primary-color);
    color: white;
    border-color: var(--primary-color);
}

.k-button-outline {
    border: 1px solid var(--primary-color);
    background-color: transparent;
    color: var(--primary-color);
    box-shadow: none !important;
}


.k-button-solid.k-icon-button {
    color: white;
    background-color: var(--primary-color);
    border: 1px solid var(--primary-color-60);
    padding-right: 0.75rem;
    height:var(--standard-height);
}

.k-button-solid.k-icon-button:disabled {
    color: var(--light-color);
    background-color: var(--light-color-10);
    border: 1px solid var(--light-color-40);
    padding-right: 0.75rem;
}

/*#endregion k-buttons*/

/*#region k-dropdown*/
.k-picker-solid:hover {
    background-color: white;
    border-color: var(--primary-color);
}

.k-picker-solid:focus, .k-picker-solid.k-focus {
    background-color: white;
}

.k-list-item {
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
}

    .k-list-item:hover {
        background-color: var(--primary-color-10);
    }

    .k-list-item.k-selected, .k-list-item.k-selected:hover,
    .k-selected.k-list-optionlabel {
        color: white;
        background-color: var(--primary-color);
    }

.k-dropdownlist .k-button-solid {
    background-color: transparent !important;
    color: var(--primary-color);
    border: none !important;
}

.k-multiselect .k-chip-solid-base {
    background-color: var(--primary-color-10);
    border: 1px solid var(--primary-color-40);
}
/*#endregion k-dropdown*/
/*#region k-table*/

.k-grid tbody > tr:not(.k-detail-row):hover,
.k-grid .k-table-tbody > .k-table-row:not(.k-detail-row).k-hover {
    background-color: var(--primary-color-10);
}


.k-grid {
    border-radius: 16px;
}

.k-grid-aria-root {
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
}

.k-grid-pager {
    border-bottom-left-radius: inherit;
    border-bottom-right-radius: inherit;
    padding-right: 2rem;
    box-shadow: none !important;
}

.k-grid-header {
    padding: 0;
}

.k-grid .k-grid-header .k-table-th {
    padding-block: 1.1rem; 
    border: none;
}

/*might not need this one*/
    .k-grid .k-grid-header .k-table-th:first-child {
        /*padding-inline: 1.6rem;*/
    }

.k-pager-nav.k-icon-button {
    color: var(--primary-color);
}

.k-pager-numbers-wrap {
    border: 1px solid var(--primary-color);
    border-radius: var(--border-radius);
    margin-left: 2rem;
}

.k-button-flat-primary {
    color: var(--primary-color);
}

.k-button-flat-primary {
    color: var(--primary-color);
    border-left: 1px solid var(--primary-color-40) !important;
    border-right: 1px solid var(--primary-color-40) !important;
}

.k-pager-numbers .k-button-flat-primary:first-child {
    border-right: none !important;
}

.k-pager-numbers .k-button-flat-primary:last-child {
    border-left: none !important;
}
/*#endregion k-table*/
/*#region Telerik File Drop Zone*/
.k-dropzone-inner {
    border: 1px dashed var(--primary-color);
    border-radius: 1rem;
    background-color: var(--primary-color-10);
}

.k-external-dropzone {
    height: 9.063rem;
}
/*#endregion */

/*#region k-datetime*/

.k-time-list .k-item:hover {
    color: var(--primary-color);
}

.k-time-header .k-time-now, .k-time-selector-header .k-time-now,
.k-time-header .k-time-now:hover, .k-time-selector-header .k-time-now:hover {
    color: var(--primary-color);
}


.k-calendar .k-calendar-td.k-selected .k-calendar-cell-inner, .k-calendar .k-calendar-td.k-selected .k-link,
.k-selected.k-calendar-td:hover {
    border-color: var(--primary-color);
    color: white;
    background-color: var(--primary-color) !important;
    box-shadow: none !important;
}


.k-calendar-td > .k-link:hover {
    background-color: var(--primary-color-10) !important;
}

.k-datetime-buttongroup .k-button-solid-base.k-selected {
    background-color: var(--primary-color-60);
    font-weight: 700;
}

.k-button-group .k-button-solid-base.k-selected {
    background-color: var(--primary-color-80);
}

.k-button-group .k-button-solid-base {
    background-color: var(--primary-color-60);
}

/*#endregion k-datetime*/
/*#region k-checkbox*/
.k-checkbox {
    background-color: #38445500;
    box-shadow: none !important;
    border: 0.125rem solid #809FB880;
    border-radius: 0.3rem !important;
    height: 1.1rem;
    width: 1.1rem;
}

    .k-checkbox:disabled {
        background-color: #FFFFFF;
        border-color: #809FB840;
    }

    .k-checkbox:checked, .k-checkbox:checked:focus, .k-checkbox:indeterminate {
        background-color: var(--primary-color);
        border-color: var(--primary-color);
    }

    .k-checkbox:hover {
        border: 1px solid var(--primary-color);
    }
/*#endregion k-checkbox*/

/*#region k-radio */
.k-radio {
    background-color: #38445500;
    box-shadow: none !important;
    border: 0.125rem solid #809FB880;
    height: 1.1rem;
    width: 1.1rem;
}

    .k-radio:disabled {
        background-color: #FFFFFF;
    }

    .k-radio:checked, .k-radio:checked:focus {
        background-color: var(--primary-color);
        border-color: var(--primary-color);
    }

    .k-radio:not([disabled]):hover {
        border: 1px solid var(--primary-color);
    }
/*#endregion k-radio*/

/* #region k-switches*/
.k-switch-md .k-switch-track, .k-switch-md {
    height: 1.625rem;
    width: 3.25rem;
    border-radius: 0.813rem;
    box-shadow: none !important;
    outline: none !important;
}

.k-switch-off .k-switch-track:hover {
    border: 1px solid var(--primary-color);
}

.k-switch-off .k-switch-track, .k-switch-off:focus .k-switch-track {
    border: 0.125rem solid #809FB880;
    background-color: #ffffff;
}

.k-switch-off .k-switch-thumb {
    height: 1.175rem;
    width: 1.175rem;
    background-color: #809FB840;
}

.k-switch-on .k-switch-track {
    border: 0.125rem solid var(--primary-color);
    background-color: var(--primary-color);
}

.k-switch-on.k-disabled .k-switch-track {
    border: 0.125rem solid var(--primary-color-40);
    background-color: var(--primary-color-40);
}

.k-switch-on .k-switch-thumb {
    height: 1.175rem;
    width: 1.175rem;
    color: #809FB840;
}

.k-switch-off.k-disabled .k-switch-track {
    border-color: #809FB880;
    background-color: #FFFFFF;
}

.k-switch-off.k-disabled .k-switch-thumb {
    background-color: #809FB826;
}
/*#endregion k-switches*/

/*#region k-tabstrip*/
.lc-TabNav-2 .k-tabstrip-items-wrapper .k-item.k-state-default {
    color: var(--primary-color);
    box-shadow: none !important;
    border: none;
}


.lc-TabNav-2 .k-tabstrip-items-wrapper .k-item.k-active {
    color: white;
    background-color: var(--primary-color);
    border: 1px solid var(--primary-color);
    border-radius: 0;
    box-shadow: none !important;
}

.lc-TabNav-2 .k-tabstrip-items-wrapper {
    border: 1px solid var(--light-color-60);
    border-radius: var(--border-radius);
    width: fit-content;
}

.lc-TabNav-2 .k-tabstrip-item:first-child {
    border-top-left-radius: 0.25rem !important;
    border-bottom-left-radius: 0.25rem !important;
}

.lc-TabNav-2 .k-tabstrip-item:last-child {
    border-top-right-radius: 0.25rem !important;
    border-bottom-right-radius: 0.25rem !important;
}

.lc-TabNav-2 .k-tabstrip-content {
    border: 1px solid var(--light-color-60);
}

.k-tabstrip-items {
    border-radius: inherit;
}


/*#endregion k-tabstrip*/
/*#endregion Telerik classes redefined*/
/*#region buttons*/
/*targets icons that are nested in a button*/
button > i {
    height: 1rem;
    color: inherit;
}
/*#endregion buttons*/

/*#region table wrapper and styling*/
.lc-table-wrapper {
    width: 99%;
    display: flex;
    margin: 1.25rem auto;
    box-shadow: 0 0 0 1px var(--secondary-color);
    border-radius: 1rem;
}

.table {
    color: #06152bcc;
}

.lc-table-wrapper tbody > tr:last-child > td {
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
}

.lc-table-wrapper thead th:first-of-type {
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
    background-color: #809fb826;
    padding: 1rem 2rem;
}

.lc-table-wrapper tr:nth-of-type(2n) {
    background: var(--primary-color-10);
}

.lc-table-wrapper .table-striped > tbody > tr:nth-of-type(odd) > * {
    --bs-table-accent-bg: none;
}

/*#endregion table wrapper and styling*/

/*#region pagination*/
.pagination .page-link:not(disabled) {
    box-shadow: none;
    color: #06152BCC;
}

.pagination .page-link:hover {
    background-color: var(--primary-color);
    color: white;
}

/* pagination version 1*/
.page-item:first-child .page-link,
.page-item:nth-last-child(2) .page-link {
    border-right: none;
}

.page-item:last-child .page-link,
.page-item:nth-child(2) .page-link {
    border-left: none;
}

/* version 4
    this class needs to be added to the pagination component if trying to achieve this style
*/
.lc-pagination {
    height: 1.875rem;
    width: 1.875rem;
    border-radius: 1.25rem;
    padding-right: 0.625rem;
}

    .lc-pagination.k-disabled {
        background-color: #FFFFFF00;
        border-color: #809FB880;
        color: #809FB8;
    }

.btn-primary {
    background-color: var(--primary-color) !important;
    color: white;
    border-color: var(--primary-color);
}

    .btn-primary:hover {
        background-color: var(--primary-color-80) !important;
        color: white;
        border-color: var(--primary-color-80);
        cursor: pointer;
    }

.form-check-input:checked {
    background-color: var(--primary-color-80) !important;
    border-color: var(--primary-color-80) !important;
}


/*#endregion pagination*/
/*#region Modal*/
.modal.fade.show {
    background: rgba(48,62,86,0.75);
}

/* NG-1214 */
.telerik-modal-footer {
    display: flex;
    flex-wrap: wrap;
    flex-shrink: 0;
    align-items: center;
    justify-content: flex-end !important;
    padding: .25em;
    margin: .25rem;
    gap: 0.25rem;
}
/*#endregion Modal*/




